JSLEE Discussions
  [Search] Search   [Recent Topics] Recent Topics   [Hottest Topics] Hottest Topics   [Groups] Back to home page 
[Register] Register / 
[Login] Login 
CGIN Connectivity Pack v1.5.4.1 versions mismatch ?
Forum Index » Rhino SLEE Discussions
Author Message
michael.klimenko


Joined: 22/11/2015 23:29:41
Messages: 6
Offline

Hello Dear OpenCloud Team.

CGIN Connectivity Pack v 1.5.4.1, has some version mismatch in descriptors.
As a result, when deployed, CGIN v1.5.2 is shown at REM.

That is, what was found inside cgin-unified-ra-trial-1.5.4.1.jar/META-INF/resource-adaptor-jar.xml file :



also the deploy.xml file refers to:



Is that correct and should be ignored ?

Thanks,
Michael
rbrunton


Joined: 02/09/2010 14:57:59
Messages: 75
Offline

Hi Michael,

For binary forward compatibility from 1.5.2 to 1.5.4 we've retained the component ids of 1.5.2 as there are no API changes between these versions.

Cheers, Richi.

This message was edited 1 time. Last update was at 05/12/2016 09:11:50

michael.klimenko


Joined: 22/11/2015 23:29:41
Messages: 6
Offline

Hi Richi,

So, that would be correct to use 1.5.2 as an event type version, when subscribing to an event ?
As in the example below:


Thanks,
Michael
rbrunton


Joined: 02/09/2010 14:57:59
Messages: 75
Offline

yes, that's my expectation.
 
Forum Index » Rhino SLEE Discussions
Go to:   
Powered by JForum 2.1.8 © JForum Team